// -*- mode: java -*- 
/* 

    SnakeCharmer, and MRML complient JAVA interface for CBIRs
    Copyright (C) 1998-1999 Zoran Pecenovic & LCAV, EPF Lausanne

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

package charmer.mrml;

import java.lang.String;


public class CUserRelevanceElement{
    public String mImageLocation;
    public String mThumbnailLocation;
    public String mUserRelevance;
    
    public CUserRelevanceElement(String inImageLocation,
				 String inThumbnailLocation,
				 String inUserRelevance){
	mImageLocation=inImageLocation;
	mThumbnailLocation=inThumbnailLocation;
	mUserRelevance=inUserRelevance;
    };
    public String toString(){
	return new String("<user-relevance-element" 
			  +" image-location=\""
			  +mImageLocation 
			  +"\""
			  +" thumbnail-location=\""
			  +mThumbnailLocation 
			  +"\" "
			  +" user-relevance=\""
			  +mUserRelevance
			  +"\"/> \n");
    };
}
